[pve-devel] pve-spice source package

Alexandre DERUMIER aderumier at odiso.com
Fri Aug 10 11:35:06 CEST 2012


Hi,
I have made a pve-spice source package

http://odisoweb1.odiso.net/pve-spice.tar.gz

It's building
pve-libspice-server1
pve-libspice-server1-dev packages

I have take the base from squeeze backport source package (0.10.1),and upgraded to 0.11.0.
Debian sid have a 0.11.0 package but they removed celt audio lib (we need it to have low bandwith audio).

I think it's better to maintain a proxmox spice package, so we can update it regularly with new spice release


0.11.0 is a developpement release
http://spice-space.org/download/releases/spice-0.11.0.tar.bz2
(They are not tag for 0.11 in the current git)



Building require some packages from squeeze-backports

libspice-protocol-dev (0.10.1, they are no 0.11.0)
libpixman-1-0 
libpixman-1-dev
I don't know if we need to maintain proxmox packages for them.



I have succefully build pve-qemu-kvm with spice.

Good news: qxl video card seem compatible with vga, so windows and linux display fine in vnc console without spice driver :-)


Feel free to modify the package.

- Alexandre


More information about the pve-devel mailing list